{ pkgs, ... }: {
  programs.git = {
    enable = true;
    userName = "Giulio De Pasquale";
    userEmail = "git@depasquale.giugl.io";
    delta.enable = true;
    lfs.enable = true;

    extraConfig = {
      filter."lfs" = {
        process = "git-lfs filter-process";
        required = true;
        clean = "git-lfs clean -- %f";
        smudge = "git-lfs smudge -- %f";
      };
    };

    aliases = {
      ai = ''! cd -- "''${GIT_PREFIX:-.}" && git diff HEAD -- "$@" | aichat -m ollama:pino-coder -c -r commitmessage #'';
      ais = ''! cd -- "''${GIT_PREFIX:-.}" && git diff --staged HEAD -- "$@" | aichat -m ollama:pino-coder -c -r commitmessage #'';
    };
  };

  home.packages = [ pkgs.git-lfs ];
}
